OPdatering fra 3.0.8 til 3.0.12 hos Surftown uden adgang til db!?!?

Hjælp til installation, indstillinger og funktioner
ThomasI
Indlæg: 10
Tilmeldt: 9. dec 2014 18:16

OPdatering fra 3.0.8 til 3.0.12 hos Surftown uden adgang til db!?!?

Indlæg af ThomasI » 9. dec 2014 18:22

Hej Alle,

I sin tid (2011) installerede jeg et forum på mit site: http://www.nemprogrammering.dk/forum/

Jeg har været for doven og har ikke fået opdateret løbende, nok mest af alt fordi jeg ikke har haft adgang til databasen og derfor ikke har følt mig tryg ved det.

Jeg installerede det som en 1-click-install, og det er derfor der ikke er adgang til db på installationen.

Det er et forholdvist stort forum efterhånden og derfor er jeg ret bange for at kaste mig ud i en opdatering. 3.0.8, kører dog ikke særlig godt på PHP 5.6, og mit forum fejler derfor tit nu da Surftown er skiftet til dette...

What to do?!?! ;)

ThomasI
Indlæg: 10
Tilmeldt: 9. dec 2014 18:16

Re: OPdatering fra 3.0.8 til 3.0.12 hos Surftown uden adgang til db!?!?

Indlæg af ThomasI » 9. dec 2014 20:25

Rettelse...

Jeg HAR adgang til databasen kan jeg nu se. Derfor er dette indlæg måske mere et spørgsmål til om der er nogle der kan hjælpe med at opdatere korrekt, mod betaling selvfølgelig.

Brugeravatar
scootergrisen
Support Team Medlem
Indlæg: 373
Tilmeldt: 24. feb 2010 13:09
Kontakt:

Re: OPdatering fra 3.0.8 til 3.0.12 hos Surftown uden adgang til db!?!?

Indlæg af scootergrisen » 10. dec 2014 19:17

Der er både 3.0.x og 3.1.x. som ikke er kompatible, men du vil vel hellere have 3.1 ikke ?

ThomasI
Indlæg: 10
Tilmeldt: 9. dec 2014 18:16

Re: OPdatering fra 3.0.8 til 3.0.12 hos Surftown uden adgang til db!?!?

Indlæg af ThomasI » 10. dec 2014 21:33

Hej Scooter

Så du er også aktiv her inde - så kunne jeg jo lige så godt have skrevet på NemPro´s forum ;)

Jeg er i tvivl om hvad jeg skal have - der er ikke nogle phpBB versioner som er kompatibelt med PHP 5.6?

Spørgsmålet er vel også om man overhoved kan hoppe så mange versioner fra 3.0.8 og op til nuværende version uden at det hele gå i ged :?

Brugeravatar
scootergrisen
Support Team Medlem
Indlæg: 373
Tilmeldt: 24. feb 2010 13:09
Kontakt:

Re: OPdatering fra 3.0.8 til 3.0.12 hos Surftown uden adgang til db!?!?

Indlæg af scootergrisen » 11. dec 2014 06:56

Hvad er problemet da med PHP 5.6 ?

Der står her hvad PHP versioner de understøtter:
https://www.phpbb.com/support/docs/en/3.0/ug/
https://www.phpbb.com/support/docs/en/3.1/ug/

Jeg kunne ikke rigtig forstille mig det ikke skulle virker med en ny PHP version. Det plejer gerne og være omvendt, at det ikke virker fordi webhotellet bruger en gammel version af PHP.

Du kan læse her hvordan du opdatere fra 3.0 til 3.1 : https://www.phpbb.com/support/docs/en/3 ... /upgrade3/

Så går du ind på https://www.phpbb.com/downloads/ og henter phpBB-3.1.2.zip og den danske sprogpakke.
Så flytte du den danske sprogpakke ind i phpBB-3.1.2 i de passende mapper, også følger du guiden på https://www.phpbb.com/support/docs/en/3 ... /upgrade3/

Så når du har fulgt guiden skal du ind og tilføje de rettelser du selv har haft lavet manuelt, som din menu øverst på siden og hvad du ellers har lavet.

Men inden du starter så skal du lige havde lavet den komplette backup af det hele, ellers kan det være du kommer til at fortryde det.

ThomasI
Indlæg: 10
Tilmeldt: 9. dec 2014 18:16

Re: OPdatering fra 3.0.8 til 3.0.12 hos Surftown uden adgang til db!?!?

Indlæg af ThomasI » 11. dec 2014 17:17

Hej igen og tak for svar!

Altså situationen er den, at Surftown har oplyst mig at de inden alt for længe vil gå over til PHP 5.6, men at de allerede anbefaler det.

Derfor har jeg sat følgende ind i mit htacess:

Kode: Vælg alt

AddType application/x-httpd-php56 php
Det får mine andre applikationer til at arbejde bedre/hurtigere, men får mit forum til at crashe med "503 service unavailable".

Når jeg fjerner "AddType application/x-httpd-php56 php" virker det igen.

Det der så undrer mig nu, er at i den dokumentation du linker til for 3.0 (hvilket også må inkludere 3.0.8), der står der at der er support for 5.x.x (og dermed også 5.6)

Så spørgsmålet er om det overhoved er PHP versionen der er et problem...mystisk...

Min umiddelbare konklusion var så før at jeg skulle have opgraderet til en version af phpBB som understøstter 5.6, men det ser det jo faktisk ud til at 3.0.8 gør... hmmmm

Brugeravatar
scootergrisen
Support Team Medlem
Indlæg: 373
Tilmeldt: 24. feb 2010 13:09
Kontakt:

Re: OPdatering fra 3.0.8 til 3.0.12 hos Surftown uden adgang til db!?!?

Indlæg af scootergrisen » 11. dec 2014 19:52

Står der "AddType [noget] php" andre steder i .htaccess filen ?

ThomasI
Indlæg: 10
Tilmeldt: 9. dec 2014 18:16

Re: OPdatering fra 3.0.8 til 3.0.12 hos Surftown uden adgang til db!?!?

Indlæg af ThomasI » 12. dec 2014 18:28

Nej det gør det ikke... Dette er hvad der står:

Kode: Vælg alt

#
# Uncomment the statement below if you want to make use of
# HTTP authentication and it does not already work.
# This could be required if you are for example using PHP via Apache CGI.
#
#
#RewriteEngine on
#RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]
#



Order Allow,Deny
Deny from All



Order Allow,Deny
Deny from All

Brugeravatar
scootergrisen
Support Team Medlem
Indlæg: 373
Tilmeldt: 24. feb 2010 13:09
Kontakt:

Re: OPdatering fra 3.0.8 til 3.0.12 hos Surftown uden adgang til db!?!?

Indlæg af scootergrisen » 12. dec 2014 18:48

Så prøv og tilføj det AddType application/x-httpd-php56 php som surftown skriver og lav en test fil i roden med lidt php kode og se om den virker når du får direkte til den.

Altså test.php med <?php echo "hej"; ?> også besøg domæne.dk/test.php

ThomasI
Indlæg: 10
Tilmeldt: 9. dec 2014 18:16

Re: OPdatering fra 3.0.8 til 3.0.12 hos Surftown uden adgang til db!?!?

Indlæg af ThomasI » 16. dec 2014 17:24

Hej Scooter,

Det har jeg faktisk allerede prøvet. Når jeg sætter hp til 5.6 på htacess på hele NemPro, så virker hele sitet fint, og det benytter sig af en del PHP. Men forumet fejler, hvilket får mig til at tro at netop mit forum ikke er kompatibet med 5.6.

Men når jeg læser dokumentationen på de nyere versioner af phpBB, så er jeg godt nok i tvivl om det overhoved vil hjælpe at opdatere, da min version jo allerede burde understøttet php 5.6...

Besvar